/**
 * You should have a LUFAConfig.h for this to work.
 */
#include "LUFAConfig.h"

/**
 * Include LUFA.h after LUFAConfig.h
 */
#include <LUFA.h>

/**
 * Finally include the LUFA device setup header
 */

#include <SPI.h>
#include <SD.h>

// Set the pins used
#define cardSelect 4


uint32_t volume_size;

#include <LUFA/LUFA/Drivers/USB/USB.h>

#include "MassStorage.h"

extern USB_ClassInfo_MS_Device_t Disk_MS_Interface;
uint8_t force_attention, unit_active;


void setup() {

  SD.begin(cardSelect);
  
  SetupHardware();

  LEDs_SetAllLEDs(LEDMASK_USB_NOTREADY);
  GlobalInterruptEnable();

}

void loop() {
  MS_Device_USBTask(&Disk_MS_Interface);
  USB_USBTask();
}
